// Solution author: Igor E. Tuphanov
// Algorithm : pika

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>

typedef __int64 t;

const int maxn = 102;
const int inf = 1000000000;

t n,st;
t x[maxn], y[maxn], d[maxn];
t ans;

void mabs(t &a)
{
   if (a < 0) a = -a;
};

void Swap(t &a, t &b)
{
   t tmp = a; a = b; b = tmp;
};

t GCD(t a, t b)
{
   t r;   
   mabs(a); mabs(b);
   if (a > b) Swap(a,b);   
   while (a > 0) {r = b%a; b = a; a = r;};   
   return b;
};

t FindSt()
{
   int i; t j;
   for (i = 1; i <= n; i++) d[i] = GCD(x[i+1] - x[i],y[i+1] - y[i]);
   j = d[1];
   for (i = 2; i <= n; i++) j = GCD(j,d[i]);
   return j;
};

t GetNum()
{
   t res = 0, s = 0, m = 0;
   int i;
   for (i = 1; i <= n; i++) {
      m += d[i]/st; s += (x[i+1] - x[i]) * (y[i+1] + y[i]);
   };
   mabs(s); res = (s + m)/2 + 1;
   return res;
};

int main()
{
   int i,m,t1,t2;
   t mx = inf, my = inf;
   freopen("input.txt","r",stdin); freopen("output.txt","w",stdout);   
   scanf("%d",&m); n = m;
   for (i = 1; i <= n; i++) {
      scanf("%d%d",&t1,&t2); x[i] = t1; y[i] = t2;
      if (x[i] < mx) mx = x[i];
      if (y[i] < my) my = y[i];
   };
   for (i = 1; i <= n; i++) {x[i] -= mx; y[i] -= my;};
   x[n+1] = x[1]; y[n+1] = y[1];
   
   st = FindSt(); printf("%Ld ",st);
   for (i = 1; i <= n + 1; i++) {x[i] /= st; y[i] /= st;};
   ans = GetNum(); printf("%Ld",ans);
      
   fclose(stdin); fclose(stdout);
   return 0;
};